<style>

.irobotbox-top .irobotbox-head .title {font-weight: 400;font-size: inherit;margin: 0;}
.irobotbox-top .irobotbox-head .title:after {content: "You may also like";color:#ffffff;}
.irobotbox-top .irobotbox-list .title {color: #333;}
.irobotbox-top .irobotbox-list .expand {display: inline;}
@media (max-width:480px) {.irobotbox-top .irobotbox-list > li:nth-child(n+7) {display: none;}.irobotbox-top {display: block;}}
.irobotbox-top .irobotbox-head {background-color: #8fbfef;}
.irobotbox-bottom, .irobotbox-append {display: none;}
@media (min-width: 640px) {.irobotbox-list-col7 .coupon, .irobotbox-list-col8 .coupon, .irobotbox-list-col9 .coupon, .irobotbox-list-col10 .coupon {display: none !important;}}
.irobotbox-list {margin: 0 0 0 0;padding: 0;background: #FFF;}
.irobotbox-list:after, 
.irobotbox-list:before {display: table;line-height: 0;content: "";}
.irobotbox-list:after {clear: both;}
.irobotbox-list > li {float: left;width: 16.66%;list-style: none;box-sizing: border-box;padding: 10px 0 10px 20px;position: relative;margin: 0;}
.irobotbox-append, .irobotbox-bottom {margin-top: 10px;}
.irobotbox-list-col6 > li {width: 16.66%;}
.irobotbox-list-col7 {margin-left: -18px;}
.irobotbox-list-col7 > li {width: 14.28%;padding-left: 18px;}
.irobotbox-list-col8 {margin-left: -16px;}
.irobotbox-list-col8 > li {width: 12.5%;padding-left: 16px;}
.irobotbox-list-col9 {margin-left: -15px;}
.irobotbox-list-col9 > li {width: 11.11%;padding-left: 15px;}
.irobotbox-list-col10 {margin-left: -14px;}
.irobotbox-list-col10 > li {width: 10%;padding-left: 14px;}
.irobotbox-list-col11 {margin-left: -12px;}
.irobotbox-list-col11 > li {width: 9.09%;padding-left: 12px;}
.irobotbox-list-col12 {margin-left: -10px;}
.irobotbox-list-col12 > li {width: 8.33%;padding-left: 10px;}
.irobotbox-list-collapse .expand {display: none;}
.irobotbox-list-collapse > li {padding: 0;}
@media (max-width:800px) {img {max-width: 100%;}.irobotbox-list {margin-left: -20px;}.irobotbox-list > li {width: 20%!important;padding-left: 20px;}}
@media (max-width:640px) {img {max-width: 100%;}.irobotbox-list {margin-left: -18px;}.irobotbox-list > li {width: 33.33%!important;padding-left: 18px;}}
@media (max-width:480px) {img {max-width: 100%;}
.irobotbox-list {margin-left: -15px;}
.irobotbox-list > li {width: 50%!important;padding-left: 15px;}}
.irobotbox-list .cover:after {display: block;content: "";padding-top: 100%;background-repeat: no-repeat;background-size: cover;background-position: center;}
.irobotbox-list a {text-decoration: none;}
.irobotbox-list a:hover .title {text-decoration: underline;}
.irobotbox-list .title {color: #333;margin: 5px 0;}
.irobotbox-list .title:after {display: block;display: -webkit-box;-webkit-line-clamp: 2;-webkit-box-orient: vertical;font-size: 14px;line-height: 1.4em;height: 2.8em;overflow: hidden;white-space: normal;word-break: break-word;-webkit-hyphens: auto;-ms-hyphens: auto;
hyphens: auto;}
.irobotbox-list .plus {height: 20px;overflow: hidden;}
.irobotbox-list .price {color: #E50010;}
.irobotbox-list .price:after {content: "";font-size: 14px;}
.irobotbox-list .origin {margin-left: 3px;font-size: 12px;color: #AAA;}
.irobotbox-list .origin:after {display: none;content: "";text-decoration: line-through;}
.irobotbox-list .coupon {display: none;width: 60px;height: 60px;border-radius: 50%;background: rgba(224,13,12,.8);color: #FFF;position: absolute;top: 10px;right: 10px;text-align: center;padding-top: 12px;box-sizing: border-box;}
.irobotbox-list .coupon:before {content: "";font-size: 20px;}
.irobotbox-list .coupon:after {content: "Off";font-size: 12px;position: absolute;bottom: 8px;right: 12px;}
.irobotbox-cs * {text-align: left;}
.irobotbox-cs {border: solid 1px #3AADFE;}
.irobotbox-top .irobotbox-head {min-height: 24px;}
.irobotbox-append .irobotbox-head .title, .irobotbox-bottom .irobotbox-head .title, .irobotbox-top .irobotbox-head .title {min-height: 12px;margin:0}
p:empty + hr {display: none;}hr + span.ebay {display: none;}
.dc_tracker_img {display: none;}
#ds_div > .dc_tracker_img:last-of-type {display: block;}

[data-lid="156434397971"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/MTAwMFgxMDAw/z/2mIAAOSws7Vm-l7E/$_3.JPG?set_id=880000500F);}
[data-lid="156434397971"] .title:after {content: "5in 1 Din Radio Car MP5 Player Bluetooth USB FM For Apple CarPlay Remote Control";}
[data-lid="156434397971"] .price:after {content: "USD52.99";}
[data-lid="156434397971"] .origin:after {display: none;}
[data-lid="156434397971"] .coupon {display: none;}

[data-lid="156434456254"] .cover:after {background-image: url(https://i.ebayimg.com/images/g/tPIAAOSwb3ZkN9T~/s-l1600.jpg);}
[data-lid="156434456254"] .title:after {content: "For GMC Yukon Chevy Silverado Sierra Android 13 GPS Navi Radio Car Stereo Player";}
[data-lid="156434456254"] .price:after {content: "USD107.99";}
[data-lid="156434456254"] .origin:after {display: none;}
[data-lid="156434456254"] .coupon {display: none;}

[data-lid="156418283594"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/MTAwMFgxMDAw/z/zZYAAOSwSlRm7UzN/$_3.JPG?set_id=2);}
[data-lid="156418283594"] .title:after {content: "Single 1DIN 7' Car Stereo Radio Apple Carplay Android Auto Flip Out Touch Screen";}
[data-lid="156418283594"] .price:after {content: "USD77.99";}
[data-lid="156418283594"] .origin:after {display: none;}
[data-lid="156418283594"] .coupon {display: none;}

[data-lid="156429906416"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/MTAwMFgxMDAw/z/cxkAAOSwTwhm9oIj/$_3.JPG?set_id=2);}
[data-lid="156429906416"] .title:after {content: "10.4'' 1 Din Car Stereo Apple CarPlay Android Auto Rotatable Radio BT USB Camera";}
[data-lid="156429906416"] .price:after {content: "USD103.99";}
[data-lid="156429906416"] .origin:after {display: none;}
[data-lid="156429906416"] .coupon {display: none;}

[data-lid="156459609170"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/MTAwMFgxMDAw/z/0-AAAOSws5BnDegY/$_3.JPG?set_id=2);}
[data-lid="156459609170"] .title:after {content: "9.5' 2 Din Car Stereo Radio Apple Carplay Android Auto Touch Screen Vertical GPS";}
[data-lid="156459609170"] .price:after {content: "USD127.99";}
[data-lid="156459609170"] .origin:after {display: none;}
[data-lid="156459609170"] .coupon {display: none;}

[data-lid="156463138711"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/MTYwMFgxNjAw/z/8-cAAOSwH8RnEHz4/$_3.JPG?set_id=880000500F);}
[data-lid="156463138711"] .title:after {content: "Single 1 DIN Rotatable 10.1' Android 13 Touch Screen Car Stereo Radio GPS Wifi";}
[data-lid="156463138711"] .price:after {content: "USD107.99";}
[data-lid="156463138711"] .origin:after {display: none;}
[data-lid="156463138711"] .coupon {display: none;}

[data-lid="156472605659"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/MTAwMVgxMDAx/z/NDQAAOSw~J9nGLHh/$_3.JPG?set_id=880000500F);}
[data-lid="156472605659"] .title:after {content: "7' Double Din Car MP5 Player Bluetooth Touch Screen Stereo Radio Wired Carplay";}
[data-lid="156472605659"] .price:after {content: "USD52.99";}
[data-lid="156472605659"] .origin:after {display: none;}
[data-lid="156472605659"] .coupon {display: none;}

[data-lid="156426664976"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/MTAwMFgxMDAw/z/zJcAAOSwgXRm89OF/$_3.JPG?set_id=2);}
[data-lid="156426664976"] .title:after {content: "7' Double 2 DIN Android Auto Car Stereo Wireless Apple CarPlay Bluetooth Radio";}
[data-lid="156426664976"] .price:after {content: "USD57.99";}
[data-lid="156426664976"] .origin:after {display: none;}
[data-lid="156426664976"] .coupon {display: none;}

[data-lid="156616621694"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/MTAwMFgxMDAw/z/B3MAAOSwrmRnd8be/$_3.JPG?set_id=880000500F);}
[data-lid="156616621694"] .title:after {content: "64GB Android 13 Car Stereo Radio GPS Carplay For Toyota Corolla Camry Hilux RAV4";}
[data-lid="156616621694"] .price:after {content: "USD127.99";}
[data-lid="156616621694"] .origin:after {display: none;}
[data-lid="156616621694"] .coupon {display: none;}

[data-lid="156634328687"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/MTAwMFgxMDAw/z/om8AAOSwkOtnhM2q/$_3.JPG?set_id=880000500F);}
[data-lid="156634328687"] .title:after {content: "For Chevrolet GMC Buick Chevy CarPlay Android Car Radio Stereo GPS BT WiFi 2+64G";}
[data-lid="156634328687"] .price:after {content: "USD137.99";}
[data-lid="156634328687"] .origin:after {display: none;}
[data-lid="156634328687"] .coupon {display: none;}

[data-lid="157242951699"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/OTQ5WDEwMDA=/z/BqgAAeSwYqZonV3j/$_3.JPG?set_id=2);}
[data-lid="157242951699"] .title:after {content: "For Toyota Tacoma 2005-2013 9' Carplay Car Stereo Radio GPS Navi RDS Android 15";}
[data-lid="157242951699"] .price:after {content: "USD97.99";}
[data-lid="157242951699"] .origin:after {display: none;}
[data-lid="157242951699"] .coupon {display: none;}

[data-lid="157242710150"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/MTAwMFgxMDAw/z/8fcAAeSw6A5onEXJ/$_3.JPG?set_id=2);}
[data-lid="157242710150"] .title:after {content: "For KIA Sportage 2007-2010 Car Stereo Radio GPS WIFI Apple Carplay Android15 CAM";}
[data-lid="157242710150"] .price:after {content: "USD107.99";}
[data-lid="157242710150"] .origin:after {display: none;}
[data-lid="157242710150"] .coupon {display: none;}

[data-lid="157344115920"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/OTc4WDEwMDA=/z/EF0AAeSwRf9o053T/$_3.JPG?set_id=2);}
[data-lid="157344115920"] .title:after {content: "Android 15 Car Stereo Carplay GPS Navi Radio for BMW 3-series E46 1998-2006 CAM";}
[data-lid="157344115920"] .price:after {content: "USD117.99";}
[data-lid="157344115920"] .origin:after {display: none;}
[data-lid="157344115920"] .coupon {display: none;}

[data-lid="157406850729"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/ODc2WDEwMDA=/z/Br0AAeSwv-5o90SF/$_3.JPG?set_id=2);}
[data-lid="157406850729"] .title:after {content: "For BMW X5 E53 2+64GB Android15 Apple Carplay Car Radio Stereo GPS Navi WIFI RDS";}
[data-lid="157406850729"] .price:after {content: "USD107.99";}
[data-lid="157406850729"] .origin:after {display: none;}
[data-lid="157406850729"] .coupon {display: none;}

[data-lid="157414115850"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/MTAwMFgxMDAw/z/c90AAeSweONo-zB6/$_3.JPG?set_id=2);}
[data-lid="157414115850"] .title:after {content: "For Chevrolet Traverse 2009-2014 Android 15 Carplay Car Stereo Radio GPS FM Wifi";}
[data-lid="157414115850"] .price:after {content: "USD127.99";}
[data-lid="157414115850"] .origin:after {display: none;}
[data-lid="157414115850"] .coupon {display: none;}

</style>